Skip to main content
GET
/
api
/
v1
/
iam
/
tunnel
/
bridges
/
{bridge_id}
/
announced_services
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.tunnelCredentials.listBridgeAnnouncedServices({
    bridgeId: "<id>",
  });

  console.log(result);
}

run();
{
  "list": [
    {
      "name": "<string>",
      "port": 123,
      "servicePath": "<string>",
      "serviceType": "<string>",
      "transportType": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

bridge_id
string
required

The bridgeId field.

Response

200 - application/json

Successful response

The TunnelCredentialsServiceListBridgeAnnouncedServicesResponse message.

list
Announced Tunnel Service · object[] | null

The list field.